unit Pripojeni;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TF_ConnectionSettings = class(TForm)
    B_Storno: TButton;
    B_Apply: TButton;
    E_IP: TEdit;
    E_Port: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure B_StornoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure B_ApplyClick(Sender: TObject);
    procedure E_PortKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_ConnectionSettings: TF_ConnectionSettings;

implementation

uses Zaklad;

{$R *.dfm}

procedure TF_ConnectionSettings.B_StornoClick(Sender: TObject);
 begin
  F_ConnectionSettings.Close;
 end;//procedure

procedure TF_ConnectionSettings.FormShow(Sender: TObject);
 begin
  E_IP.Text   := F_Hlavni.CS_Hlavni.Host;
  E_Port.Text := IntToStr(F_Hlavni.CS_Hlavni.Port);
 end;//procedure

procedure TF_ConnectionSettings.B_ApplyClick(Sender: TObject);
 begin
  F_Hlavni.CS_Hlavni.Host := E_IP.Text;
  F_Hlavni.CS_Hlavni.Port := StrToIntDef(E_Port.Text,0);

  F_ConnectionSettings.Close;
 end;//procedure

procedure TF_ConnectionSettings.E_PortKeyPress(Sender: TObject;
  var Key: Char);
 begin
  Key := Key;
  case Key of
   '0'..'9',#9,#8:begin
                  end else begin
                   Key := #0;
                  end;
   end;//case
 end;//procedure

end.//unit
